Bug 1032529 - libbsd: missing format string annotations [NEEDINFO]
libbsd: missing format string annotations
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libbsd (Show other bugs)
7.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Lukáš Tinkl
qe-baseos-daemons
:
Depends On:
Blocks: 1032518
  Show dependency treegraph
 
Reported: 2013-11-20 06:03 EST by Florian Weimer
Modified: 2015-07-13 13:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1162587 (view as bug list)
Environment:
Last Closed: 2014-01-27 08:29:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jscotka: needinfo? (ltinkl)


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-11-20 06:03:10 EST
The functions warnc, errc in bsd/err.h should have printf format string annotations, so that GCC can warn about their misuse.

setproctitle in bsd/unistd.h should should have a format string, too.

It seems the __printflike macro already provides a means to achieve this.
Comment 2 Lukáš Tinkl 2014-01-27 08:29:58 EST
Closing as fixed as the current snapshot trees also don't require nor contain libbsd anymore.

Note You need to log in before you can comment on or make changes to this bug.